# hey Emacs, its -*- rpm-spec -*-
# $Id: php-gtk,v 1.18 2002/11/13 03:14:38 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	0
%define		use_con_php	1

# Package name without php prefix
%define		package_name	gtk
%define		php_gtkversion	0.5.0
###############################################################

Name:	 	php-%package_name
Version:	%php_gtkversion
Release:	alt6
Group:		System/Servers
Requires:	gtk+, libglade, libxml, libgtkhtml, gdk-pixbuf, gnome-libs, libgnomeprint, libGConf, libgal
License:	PHP Licence
Prereq:		php >= 1:4.1.2
BuildRequires:  php-devel >= 1:4.1.2, gtk+-devel, libglade-devel, libxml-devel, zlib-devel
BuildRequires:  libgtkhtml-devel, gdk-pixbuf-devel, gnome-libs-devel, libgnomeprint-devel, libbonobo-devel
BuildRequires:  libGConf-devel, libgal-devel, freetype2-devel, libwrap-devel
Summary:	GTK+ binding for PHP4
Serial: 1

Packager: Alexander Bokovoy <ab@altlinux.ru> 

Source:	php-gtk-%php_gtkversion.tar.bz2
#Patch:	php-gtk.patch

%description
The php-%package_name includes a dynamic shared object (DSO) that adds
GTK+ binding to PHP4. PHP-GTK is a PHP extension that enables you to
write client-side cross-platform GUI applications. This is the first
such extension of this kind and one of the goals behind it was to prove
that PHP is a capable general-purpose scripting language that is suited
for more than just Web applications.

%prep

%setup -q -n %{name}-%php_gtkversion
#%patch -p1

%build
phpize

BUILD_HAVE=`echo php-%package_name | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%{_libdir} -DHAVE_${BUILD_HAVE}=1 -DCOMPILE_DL_${BUILD_HAVE}=1"; export CFLAGS  

%configure --with-%package_name=/usr --disable-static \
	    --enable-gdkpixbuf \
	    --disable-gdk_pixbuftest \
	    --enable-gtkhtml 

/usr/bin/subst "s@-R/usr/X11R6/lib@@g;" config_vars.mk
%php_make

%install
%php_make install

%files
%{_libdir}/php/extensions/*
%doc README NEWS ChangeLog AUTHORS COPYING.LIB TODO test 

%post
%php_postin

%preun
%php_preun

%postun
%php_postun

%changelog
* Wed Nov 27 2002 AEN <aen@altlinux.ru> 1:0.5.0-alt6
- rebuilt with libgal-0.21

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:0.5.0-alt5
- Fix permissions

* Sun Nov 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1:0.5.0-alt4
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:0.5.0-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 1:0.5.0-alt2
- Added:
    + gdk-pixbuf
    + gtkhtml
    + fixes from CVS
- post install script fixed
- Dependencies refined

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 0.5.0-alt1
- PHP-GTK 0.5.0
- PHP 4.1.2
- Spec cleanups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6_0.1.1-alt1
- PHP-GTK 0.1.1
- PHP 4.0.6
- Bugfixes

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Thu Mar 15 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.5
- Rebuild with fixed version of PHP4

* Tue Mar 13 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl0.4
- Rebuild with PHP 4.0.5 Release Candidate 1
- FAQ from http://gtk.php.net/faq.php added
- Patch php-i18n.patch removed because it is already applied to CVS

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.3
- Fixed:
    + Build process for self-contained shared modules in PHP is generally broken,
      fixed by automatically adding -DHAVE_{MODULE}=1 -DCOMPILE_DL_{MODULE}=1 to
      configure

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.2
- More enhancements in SPEC file:
    + Automatically gather PHP version, so no need to synchronize
      spec file's Version: field when new version of PHP is installed
- Fixed:
    + gdk_set_locale() added to GTK+ initialization process
      in order to fix i18n support under PHP-GTK
      
* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments
  
